# encoding: utf-8

# Copyright (C) 2011 Clemens Fuchslocher <clemens@vakuumverpackt.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

require_relative 'lib/Projects'

def ant
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })

	ant = VoidMeter::Project.new(name: 'Ant', url: 'http://ant.apache.org/', files: files, encoding: 'iso-8859-1')
	ant.add_release(version: '1.8.2', path: '/usr/src/VoidMeter/ant/apache-ant-1.8.2', url: 'http://archive.apache.org/dist/ant/source/apache-ant-1.8.2-src.tar.gz')
	ant.add_release(version: '1.7.1', path: '/usr/src/VoidMeter/ant/apache-ant-1.7.1', url: 'http://archive.apache.org/dist/ant/source/apache-ant-1.7.1-src.tar.gz')
	ant.add_release(version: '1.6.5', path: '/usr/src/VoidMeter/ant/apache-ant-1.6.5', url: 'http://archive.apache.org/dist/ant/source/apache-ant-1.6.5-src.tar.gz')
	ant.add_release(version: '1.5.4', path: '/usr/src/VoidMeter/ant/apache-ant-1.5.4', url: 'http://archive.apache.org/dist/ant/source/apache-ant-1.5.4-src.zip')
	ant
end

def apache
	files = VoidMeter::Files.new
	files.add_file(extension: '.c', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.h', block_comment: { open: '/*', close: '*/' })

	apache = VoidMeter::Project.new(name: 'Apache', url: 'http://httpd.apache.org/', files: files, encoding: 'iso-8859-1')
	apache.add_release(version: '2.2.17', path: '/usr/src/VoidMeter/apache/httpd-2.2.17', url: 'http://archive.apache.org/dist/httpd/httpd-2.2.17.tar.bz2')
	apache.add_release(version: '2.2.12', path: '/usr/src/VoidMeter/apache/httpd-2.2.12', url: 'http://archive.apache.org/dist/httpd/httpd-2.2.12.tar.bz2')
	apache.add_release(version: '2.2.6', path: '/usr/src/VoidMeter/apache/httpd-2.2.6', url: 'http://archive.apache.org/dist/httpd/httpd-2.2.6.tar.bz2')
	apache.add_release(version: '2.2.0', path: '/usr/src/VoidMeter/apache/httpd-2.2.0', url: 'http://archive.apache.org/dist/httpd/httpd-2.2.0.tar.bz2')
	apache.add_release(version: '2.0.64', path: '/usr/src/VoidMeter/apache/httpd-2.0.64', url: 'http://archive.apache.org/dist/httpd/httpd-2.0.64.tar.bz2')
	apache.add_release(version: '2.0.63', path: '/usr/src/VoidMeter/apache/httpd-2.0.63', url: 'http://archive.apache.org/dist/httpd/httpd-2.0.63.tar.bz2')
	apache.add_release(version: '2.0.61', path: '/usr/src/VoidMeter/apache/httpd-2.0.61', url: 'http://archive.apache.org/dist/httpd/httpd-2.0.61.tar.bz2')
	apache.add_release(version: '1.3.42', path: '/usr/src/VoidMeter/apache/apache_1.3.42', url: 'http://archive.apache.org/dist/httpd/apache_1.3.42.tar.bz2')
	apache
end

def django
	files = VoidMeter::Files.new
	files.add_file(extension: '.py')

	django = VoidMeter::Project.new(name: 'Django', url: 'http://www.djangoproject.com/', files: files, encoding: 'iso-8859-1')
	django.add_release(version: '1.3', path: '/usr/src/VoidMeter/django/Django-1.3', url: 'http://www.djangoproject.com/download/1.3/tarball/')
	django.add_release(version: '1.2.5', path: '/usr/src/VoidMeter/django/Django-1.2.5', url: 'http://www.djangoproject.com/download/1.2.5/tarball/')
	django.add_release(version: '1.2.4', path: '/usr/src/VoidMeter/django/Django-1.2.4', url: 'http://www.djangoproject.com/download/1.2.4/tarball/')
	django.add_release(version: '1.2.3', path: '/usr/src/VoidMeter/django/Django-1.2.3', url: 'http://www.djangoproject.com/download/1.2.3/tarball/')
	django.add_release(version: '1.2.2', path: '/usr/src/VoidMeter/django/Django-1.2.2', url: 'http://www.djangoproject.com/download/1.2.2/tarball/')
	django.add_release(version: '1.2.1', path: '/usr/src/VoidMeter/django/Django-1.2.1', url: 'http://www.djangoproject.com/download/1.2.1/tarball/')
	django.add_release(version: '1.2', path: '/usr/src/VoidMeter/django/Django-1.2', url: 'http://www.djangoproject.com/download/1.2/tarball/')
	django.add_release(version: '1.1.4', path: '/usr/src/VoidMeter/django/Django-1.1.4', url: 'http://www.djangoproject.com/download/1.1.4/tarball/')
	django.add_release(version: '0.96.5', path: '/usr/src/VoidMeter/django/Django-0.96.5', url: 'http://www.djangoproject.com/download/0.96.5/tarball/')
	django
end

def gradle
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.groovy', block_comment: { open: '/*', close: '*/' })

	gradle = VoidMeter::Project.new(name: 'Gradle', url: 'http://gradle.org/', files: files, encoding: 'iso-8859-1')
	gradle.add_release(version: '0.9.2', path: '/usr/src/VoidMeter/gradle/gradle-0.9.2', url: 'http://repo.gradle.org/gradle/distributions/gradle-0.9.2-src.zip')
	gradle.add_release(version: '0.9.1', path: '/usr/src/VoidMeter/gradle/gradle-0.9.1', url: 'http://repo.gradle.org/gradle/distributions/gradle-0.9.1-src.zip')
	gradle.add_release(version: '0.9', path: '/usr/src/VoidMeter/gradle/gradle-0.9', url: 'http://repo.gradle.org/gradle/distributions/gradle-0.9-src.zip')
	gradle.add_release(version: '0.8', path: '/usr/src/VoidMeter/gradle/gradle-0.8', url: 'http://dist.codehaus.org/gradle/gradle-0.8-src.zip')
	gradle.add_release(version: '0.7', path: '/usr/src/VoidMeter/gradle/gradle-0.7', url: 'http://dist.codehaus.org/gradle/gradle-0.7-src.zip')
	gradle.add_release(version: '0.6', path: '/usr/src/VoidMeter/gradle/gradle-0.6', url: 'http://dist.codehaus.org/gradle/gradle-0.6-src.zip')
	gradle.add_release(version: '0.5', path: '/usr/src/VoidMeter/gradle/gradle-0.5', url: 'http://dist.codehaus.org/gradle/gradle-0.5-src.zip')
	gradle
end

def grails
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.groovy', block_comment: { open: '/*', close: '*/' })

	grails = VoidMeter::Project.new(name: 'Grails', url: 'http://www.grails.org/', files: files, encoding: 'iso-8859-1')
	grails.add_release(version: '1.3.7', path: '/usr/src/VoidMeter/grails/grails-1.3.7', url: 'https://github.com/grails/grails-core')
	grails.add_release(version: '1.3', path: '/usr/src/VoidMeter/grails/grails-1.3', url: 'https://github.com/grails/grails-core')
	grails.add_release(version: '1.2.5', path: '/usr/src/VoidMeter/grails/grails-1.2.5', url: 'https://github.com/grails/grails-core')
	grails.add_release(version: '1.2', path: '/usr/src/VoidMeter/grails/grails-1.2', url: 'https://github.com/grails/grails-core')
	grails.add_release(version: '1.1.2', path: '/usr/src/VoidMeter/grails/grails-1.1.2', url: 'https://github.com/grails/grails-core')
	grails
end

def groovy
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.groovy', block_comment: { open: '/*', close: '*/' })

	groovy = VoidMeter::Project.new(name: 'Groovy', url: 'http://groovy.codehaus.org/', files: files, encoding: 'iso-8859-1')
	groovy.add_release(version: '1.7.10', path: '/usr/src/VoidMeter/groovy/groovy-1.7.10', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.7.10.zip')
	groovy.add_release(version: '1.7.5', path: '/usr/src/VoidMeter/groovy/groovy-1.7.5', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.7.5.zip')
	groovy.add_release(version: '1.7.0', path: '/usr/src/VoidMeter/groovy/groovy-1.7.0', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.7.0.zip')
	groovy.add_release(version: '1.6.9', path: '/usr/src/VoidMeter/groovy/groovy-1.6.9', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.6.9.zip')
	groovy.add_release(version: '1.6.5', path: '/usr/src/VoidMeter/groovy/groovy-1.6.5', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.6.5.zip')
	groovy.add_release(version: '1.6.0', path: '/usr/src/VoidMeter/groovy/groovy-1.6.0', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.6.0.zip')
	groovy.add_release(version: '1.5.8', path: '/usr/src/VoidMeter/groovy/groovy-1.5.8', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.5.8.zip')
	groovy.add_release(version: '1.5.4', path: '/usr/src/VoidMeter/groovy/groovy-1.5.4', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.5.4.zip')
	groovy.add_release(version: '1.5.0', path: '/usr/src/VoidMeter/groovy/groovy-1.5.0', url: 'http://dist.groovy.codehaus.org/distributions/groovy-src-1.5.0.zip')
	groovy
end

def jetty
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })

	jetty = VoidMeter::Project.new(name: 'Jetty', url: 'http://jetty.codehaus.org/jetty/', files: files, encoding: 'iso-8859-1')
	jetty.add_release(version: '7.3.1', path: '/usr/src/VoidMeter/jetty/jetty-7.3.1.v20110307', url: 'http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/tags/jetty-7.3.1.v20110307')
	jetty.add_release(version: '7.2.2', path: '/usr/src/VoidMeter/jetty/jetty-7.2.2.v20101205', url: 'http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/tags/jetty-7.2.2.v20101205')
	jetty.add_release(version: '7.1.6', path: '/usr/src/VoidMeter/jetty/jetty-7.1.6.v20100715', url: 'http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/tags/jetty-7.1.6.v20100715')
	jetty.add_release(version: '7.0.2', path: '/usr/src/VoidMeter/jetty/jetty-7.0.2.v20100331', url: 'http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/tags/jetty-7.0.2.v20100331')
	jetty.add_release(version: '6.1.26', path: '/usr/src/VoidMeter/jetty/jetty-6.1.26', url: 'http://dist.codehaus.org/jetty/jetty-6.1.26/jetty-6.1.26-src.zip')
	jetty.add_release(version: '6.0.2', path: '/usr/src/VoidMeter/jetty/jetty-6.0.2', url: 'http://dist.codehaus.org/jetty/jetty-6.0.x/jetty-6.0.2-src.zip')
	jetty.add_release(version: '5.1.15', path: '/usr/src/VoidMeter/jetty/jetty-5.1.15', url: 'http://dist.codehaus.org/jetty/jetty-5.1.x/jetty-5.1.15.tgz')
	jetty.add_release(version: '4.2.27', path: '/usr/src/VoidMeter/jetty/jetty-4.2.27', url: 'http://dist.codehaus.org/jetty/jetty-4.2.x/jetty-4.2.27.zip')
	jetty
end

def jruby
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.rb', block_comment: { open: '=begin', close: '=end' })

	jruby = VoidMeter::Project.new(name: 'JRuby', url: 'http://www.jruby.org/', files: files, encoding: 'iso-8859-1')
	jruby.add_release(version: '1.6.0', path: '/usr/src/VoidMeter/jruby/jruby-1.6.0', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.6.0/jruby-src-1.6.0.tar.gz')
	jruby.add_release(version: '1.5.6', path: '/usr/src/VoidMeter/jruby/jruby-1.5.6', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.5.6/jruby-src-1.5.6.tar.gz')
	jruby.add_release(version: '1.5.0', path: '/usr/src/VoidMeter/jruby/jruby-1.5.0', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.5.0/jruby-src-1.5.0.tar.gz')
	jruby.add_release(version: '1.4.1', path: '/usr/src/VoidMeter/jruby/jruby-1.4.1', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.4.1/jruby-src-1.4.1.tar.gz')
	jruby.add_release(version: '1.4.0', path: '/usr/src/VoidMeter/jruby/jruby-1.4.0', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.4.0/jruby-src-1.4.0.tar.gz')
	jruby.add_release(version: '1.3.1', path: '/usr/src/VoidMeter/jruby/jruby-1.3.1', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.3.1/jruby-src-1.3.1.tar.gz')
	jruby.add_release(version: '1.3.0', path: '/usr/src/VoidMeter/jruby/jruby-1.3.0', url: 'http://jruby.org.s3.amazonaws.com/downloads/1.3.0/jruby-src-1.3.0.tar.gz')
	jruby
end

def jython
	files = VoidMeter::Files.new
	files.add_file(extension: '.g')
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.py')

	jython = VoidMeter::Project.new(name: 'Jython', url: 'http://www.jython.org/', files: files, encoding: 'iso-8859-1')
	jython.add_release(version: '2.5.2', path: '/usr/src/VoidMeter/jython/jython-2.5.2', url: 'https://jython.svn.sourceforge.net/svnroot/jython/tags/Release_2_5_2/jython')
	jython.add_release(version: '2.5.1', path: '/usr/src/VoidMeter/jython/jython-2.5.1', url: 'https://jython.svn.sourceforge.net/svnroot/jython/tags/Release_2_5_1/jython')
	jython.add_release(version: '2.5.0', path: '/usr/src/VoidMeter/jython/jython-2.5.0', url: 'https://jython.svn.sourceforge.net/svnroot/jython/tags/Release_2_5_0/jython')
	jython.add_release(version: '2.2.1', path: '/usr/src/VoidMeter/jython/jython-2.2.1', url: 'https://jython.svn.sourceforge.net/svnroot/jython/tags/Release_2_2_1/jython')
	jython.add_release(version: '2.1', path: '/usr/src/VoidMeter/jython/jython-2.1', url: 'https://jython.svn.sourceforge.net/svnroot/jython/tags/Release_2_1/jython')
	jython.add_release(version: '2.0', path: '/usr/src/VoidMeter/jython/jython-2.0', url: 'https://jython.svn.sourceforge.net/svnroot/jython/tags/Release_2_0/jython')
	jython
end

def linux
	files = VoidMeter::Files.new
	files.add_file(extension: '.c', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.h', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.S')

	linux = VoidMeter::Project.new(name: 'Linux', url: 'http://www.kernel.org/', files: files, encoding: 'iso-8859-1')
	linux.add_release(version: '2.6.38.1', path: '/usr/src/VoidMeter/linux/linux-2.6.38.1', url: 'http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.38.1.tar.bz2')
	linux.add_release(version: '2.6.35.11', path: '/usr/src/VoidMeter/linux/linux-2.6.35.11', url: 'http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.35/linux-2.6.35.11.tar.bz2')
	linux.add_release(version: '2.6.34.8', path: '/usr/src/VoidMeter/linux/linux-2.6.34.8', url: 'http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.34/linux-2.6.34.8.tar.bz2')
	linux.add_release(version: '2.6.33.8', path: '/usr/src/VoidMeter/linux/linux-2.6.33.8', url: 'http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.33/linux-2.6.33.8.tar.bz2')
	linux.add_release(version: '2.6.32.35', path: '/usr/src/VoidMeter/linux/linux-2.6.32.35', url: 'http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/linux-2.6.32.35.tar.bz2')
	linux.add_release(version: '2.6.27.58', path: '/usr/src/VoidMeter/linux/linux-2.6.27.58', url: 'http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.27/linux-2.6.27.58.tar.bz2')
	linux.add_release(version: '2.4.37.11', path: '/usr/src/VoidMeter/linux/linux-2.4.37.11', url: 'http://www.kernel.org/pub/linux/kernel/v2.4/linux-2.4.37.11.tar.bz2')
	linux.add_release(version: '2.4.0', path: '/usr/src/VoidMeter/linux/linux-2.4.0', url: 'http://www.kernel.org/pub/linux/kernel/v2.4/linux-2.4.0.tar.bz2')
	linux.add_release(version: '2.2.26', path: '/usr/src/VoidMeter/linux/linux-2.2.26', url: 'http://www.kernel.org/pub/linux/kernel/v2.2/linux-2.2.26.tar.bz2')
	linux.add_release(version: '2.2.0', path: '/usr/src/VoidMeter/linux/linux-2.2.0', url: 'http://www.kernel.org/pub/linux/kernel/v2.2/linux-2.2.0.tar.bz2')
	linux.add_release(version: '2.0.40', path: '/usr/src/VoidMeter/linux/linux-2.0.40', url: 'http://www.kernel.org/pub/linux/kernel/v2.0/linux-2.0.40.tar.bz2')
	linux.add_release(version: '2.0.34', path: '/usr/src/VoidMeter/linux/linux-2.0.34', url: 'http://www.kernel.org/pub/linux/kernel/v2.0/linux-2.0.34.tar.bz2')
	linux
end

def maven
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })

	maven = VoidMeter::Project.new(name: 'Maven', url: 'http://maven.apache.org/', files: files, encoding: 'iso-8859-1')
	maven.add_release(version: '3.0.3', path: '/usr/src/VoidMeter/maven/apache-maven-3.0.3', url: 'http://archive.apache.org/dist/maven/source/apache-maven-3.0.3-src.tar.gz')
	maven.add_release(version: '3.0', path: '/usr/src/VoidMeter/maven/apache-maven-3.0', url: 'http://archive.apache.org/dist/maven/source/apache-maven-3.0-src.tar.gz')
	maven.add_release(version: '2.2.1', path: '/usr/src/VoidMeter/maven/apache-maven-2.2.1', url: 'http://archive.apache.org/dist/maven/source/apache-maven-2.2.1-src.tar.gz')
	maven.add_release(version: '2.2.0', path: '/usr/src/VoidMeter/maven/apache-maven-2.2.0', url: 'http://archive.apache.org/dist/maven/source/apache-maven-2.2.0-src.tar.gz')
	maven.add_release(version: '2.0.11', path: '/usr/src/VoidMeter/maven/maven-2.0.11-src', url: 'http://archive.apache.org/dist/maven/source/apache-maven-2.0.11-src.tar.gz')
	maven.add_release(version: '2.0.3', path: '/usr/src/VoidMeter/maven/maven-2.0.3', url: 'http://archive.apache.org/dist/maven/source/maven-2.0.3-src.tar.gz')
	maven
end

def mybatis
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })

	mybatis = VoidMeter::Project.new(name: 'MyBatis', url: 'http://www.mybatis.org/', files: files, encoding: 'iso-8859-1')
	mybatis.add_release(version: '3.0.4', path: '/usr/src/VoidMeter/mybatis/mybatis-3.0.4', url: 'http://mybatis.googlecode.com/svn/tags/mybatis-3.0.4')
	mybatis.add_release(version: '3.0.3', path: '/usr/src/VoidMeter/mybatis/mybatis-3.0.3', url: 'http://mybatis.googlecode.com/svn/tags/mybatis-3.0.3')
	mybatis.add_release(version: '3.0.2', path: '/usr/src/VoidMeter/mybatis/mybatis-3.0.2', url: 'http://mybatis.googlecode.com/svn/tags/mybatis-3.0.2')
	mybatis.add_release(version: '3.0.1', path: '/usr/src/VoidMeter/mybatis/mybatis-3.0.1', url: 'http://mybatis.googlecode.com/svn/tags/mybatis-3.0.1')
	mybatis.add_release(version: '2.3.5', path: '/usr/src/VoidMeter/mybatis/mybatis-2.3.5', url: 'http://mybatis.googlecode.com/svn/tags/mybatis-2.3.5')
	mybatis.add_release(version: '2.3.4', path: '/usr/src/VoidMeter/mybatis/ibatis-2.3.4', url: 'http://mybatis.googlecode.com/svn/tags/java_release_2.3.4-726')
	mybatis.add_release(version: '2.3.3', path: '/usr/src/VoidMeter/mybatis/ibatis-2.3.3', url: 'http://mybatis.googlecode.com/svn/tags/java_release_2.3.3-720')
	mybatis.add_release(version: '2.3.2', path: '/usr/src/VoidMeter/mybatis/ibatis-2.3.2', url: 'http://mybatis.googlecode.com/svn/tags/java_release_2.3.2-715')
	mybatis.add_release(version: '2.3.1', path: '/usr/src/VoidMeter/mybatis/ibatis-2.3.1', url: 'http://mybatis.googlecode.com/svn/tags/java_release_2.3.1-710')
	mybatis.add_release(version: '2.3.0', path: '/usr/src/VoidMeter/mybatis/ibatis-2.3.0', url: 'http://mybatis.googlecode.com/svn/tags/java_release_2.3.0-677')
	mybatis
end

def python
	files = VoidMeter::Files.new
	files.add_file(extension: '.c', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.h', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.py')

	python = VoidMeter::Project.new(name: 'Python', url: 'http://www.python.org/', files: files, encoding: 'iso-8859-1')
	python.add_release(version: '3.2', path: '/usr/src/VoidMeter/python/Python-3.2', url: 'http://www.python.org/ftp/python/3.2/Python-3.2.tar.bz2')
	python.add_release(version: '3.1.3', path: '/usr/src/VoidMeter/python/Python-3.1.3', url: 'http://www.python.org/ftp/python/3.1.3/Python-3.1.3.tar.bz2')
	python.add_release(version: '3.0.1', path: '/usr/src/VoidMeter/python/Python-3.0.1', url: 'http://www.python.org/ftp/python/3.0.1/Python-3.0.1.tar.bz2')
	python.add_release(version: '2.7.1', path: '/usr/src/VoidMeter/python/Python-2.7.1', url: 'http://www.python.org/ftp/python/2.7.1/Python-2.7.1.tar.bz2')
	python.add_release(version: '2.6.6', path: '/usr/src/VoidMeter/python/Python-2.6.6', url: 'http://www.python.org/ftp/python/2.6.6/Python-2.6.6.tar.bz2')
	python.add_release(version: '2.5.5', path: '/usr/src/VoidMeter/python/Python-2.5.5', url: 'http://www.python.org/ftp/python/2.5.5/Python-2.5.5.tar.bz2')
	python.add_release(version: '2.4.6', path: '/usr/src/VoidMeter/python/Python-2.4.6', url: 'http://www.python.org/ftp/python/2.4.6/Python-2.4.6.tar.bz2')
	python.add_release(version: '2.3.7', path: '/usr/src/VoidMeter/python/Python-2.3.7', url: 'http://www.python.org/ftp/python/2.3.7/Python-2.3.7.tar.bz2')
	python
end

def rails
	files = VoidMeter::Files.new
	files.add_file(extension: '.rb', block_comment: { open: '=begin', close: '=end' })

	rails = VoidMeter::Project.new(name: 'Rails', url: 'http://rubyonrails.org/', files: files, encoding: 'iso-8859-1')
	rails.add_release(version: '3.0.5', path: '/usr/src/VoidMeter/rails/rails-3.0.5', url: 'https://github.com/rails/rails')
	rails.add_release(version: '3.0.0', path: '/usr/src/VoidMeter/rails/rails-3.0.0', url: 'https://github.com/rails/rails')
	rails.add_release(version: '2.3.11', path: '/usr/src/VoidMeter/rails/rails-2.3.11', url: 'https://github.com/rails/rails')
	rails.add_release(version: '2.3.2', path: '/usr/src/VoidMeter/rails/rails-2.3.2', url: 'https://github.com/rails/rails')
	rails.add_release(version: '2.2.3', path: '/usr/src/VoidMeter/rails/rails-2.2.3', url: 'https://github.com/rails/rails')
	rails.add_release(version: '2.1.2', path: '/usr/src/VoidMeter/rails/rails-2.1.2', url: 'https://github.com/rails/rails')
	rails.add_release(version: '2.0.5', path: '/usr/src/VoidMeter/rails/rails-2.0.5', url: 'https://github.com/rails/rails')
	rails
end

def ruby
	files = VoidMeter::Files.new
	files.add_file(extension: '.c', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.h', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.rb', block_comment: { open: '=begin', close: '=end' })

	ruby = VoidMeter::Project.new(name: 'Ruby', url: 'http://www.ruby-lang.org/', files: files, encoding: 'iso-8859-1')
	ruby.add_release(version: '1.9.2-p180', path: '/usr/src/VoidMeter/ruby/ruby-1.9.2-p180', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.9/ruby-1.9.2-p180.tar.gz')
	ruby.add_release(version: '1.9.2-p0', path: '/usr/src/VoidMeter/ruby/ruby-1.9.2-p0', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.9/ruby-1.9.2-p0.tar.gz')
	ruby.add_release(version: '1.9.1-p431', path: '/usr/src/VoidMeter/ruby/ruby-1.9.1-p431', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.9/ruby-1.9.1-p431.tar.gz')
	ruby.add_release(version: '1.9.1-p0', path: '/usr/src/VoidMeter/ruby/ruby-1.9.1-p0', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.9/ruby-1.9.1-p0.tar.gz')
	ruby.add_release(version: '1.9.0-5', path: '/usr/src/VoidMeter/ruby/ruby-1.9.0-5', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.9/ruby-1.9.0-5.tar.gz')
	ruby.add_release(version: '1.9.0-0', path: '/usr/src/VoidMeter/ruby/ruby-1.9.0-0', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.9/ruby-1.9.0-0.tar.gz')
	ruby.add_release(version: '1.8.7-p334', path: '/usr/src/VoidMeter/ruby/ruby-1.8.7-p334', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.8/ruby-1.8.7-p334.tar.gz')
	ruby.add_release(version: '1.8.4', path: '/usr/src/VoidMeter/ruby/ruby-1.8.4', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.8/ruby-1.8.4.tar.gz')
	ruby.add_release(version: '1.8.0', path: '/usr/src/VoidMeter/ruby/ruby-1.8.0', url: 'ftp://ftp.ruby-lang.org//pub/ruby/1.8/ruby-1.8.0.tar.gz')
	ruby
end

def sbcl
	files = VoidMeter::Files.new
	files.add_file(extension: '.c', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.h', block_comment: { open: '/*', close: '*/' })
	files.add_file(extension: '.lisp')

	sbcl = VoidMeter::Project.new(name: 'SBCL', url: 'http://www.sbcl.org/', files: files, encoding: 'iso-8859-1')
	sbcl.add_release(version: '1.0.46', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0.46', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/1.0.46/sbcl-1.0.46-source.tar.bz2/download')
	sbcl.add_release(version: '1.0.45', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0.45', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/1.0.45/sbcl-1.0.45-source.tar.bz2/download')
	sbcl.add_release(version: '1.0.36', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0.36', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/1.0.36/sbcl-1.0.36-source.tar.bz2/download')
	sbcl.add_release(version: '1.0.27', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0.27', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/sbcl-1.0.27/sbcl-1.0.27-source.tar.bz2/download')
	sbcl.add_release(version: '1.0.18', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0.18', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/1.0.18/sbcl-1.0.18-source.tar.bz2/download')
	sbcl.add_release(version: '1.0.9', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0.9', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/1.0.9/sbcl-1.0.9-source.tar.bz2/download')
	sbcl.add_release(version: '1.0', path: '/usr/src/VoidMeter/sbcl/sbcl-1.0', url: 'http://sourceforge.net/projects/sbcl/files/sbcl/1.0/sbcl-1.0-source.tar.bz2/download')
	sbcl
end

def tomcat
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })

	tomcat = VoidMeter::Project.new(name: 'Tomcat', url: 'http://tomcat.apache.org/', files: files, encoding: 'iso-8859-1')
	tomcat.add_release(version: '7.0.11', path: '/usr/src/VoidMeter/tomcat/apache-tomcat-7.0.11-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-7/v7.0.11/src/apache-tomcat-7.0.11-src.tar.gz')
	tomcat.add_release(version: '7.0.6', path: '/usr/src/VoidMeter/tomcat/apache-tomcat-7.0.6-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-7/v7.0.6/src/apache-tomcat-7.0.6-src.tar.gz')
	tomcat.add_release(version: '6.0.32', path: '/usr/src/VoidMeter/tomcat/apache-tomcat-6.0.32-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-6/v6.0.32/src/apache-tomcat-6.0.32-src.tar.gz')
	tomcat.add_release(version: '6.0.0', path: '/usr/src/VoidMeter/tomcat/apache-tomcat-6.0.0-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-6/v6.0.0/src/apache-tomcat-6.0.0-src.tar.gz')
	tomcat.add_release(version: '5.5.33', path: '/usr/src/VoidMeter/tomcat/apache-tomcat-5.5.33-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-5/v5.5.33/src/apache-tomcat-5.5.33-src.tar.gz')
	tomcat.add_release(version: '5.5.0', path: '/usr/src/VoidMeter/tomcat/jakarta-tomcat-5.5.0-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-5/archive/v5.5.0/src/jakarta-tomcat-5.5.0-src.tar.gz')
	tomcat.add_release(version: '5.0.30', path: '/usr/src/VoidMeter/tomcat/jakarta-tomcat-5.0.30-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-5/v5.0.30/src/jakarta-tomcat-5.0.30-src.tar.gz')
	tomcat.add_release(version: '5.0.0', path: '/usr/src/VoidMeter/tomcat/jakarta-tomcat-5.0.0-src', url: 'http://archive.apache.org/dist/tomcat/tomcat-5/archive/v5.0.0/src/jakarta-tomcat-5.0.0-src.tar.gz')
	tomcat
end

def whitespace
	files = VoidMeter::Files.new
	files.add_file(extension: '.ws')

	whitespace = VoidMeter::Project.new(name: 'Whitespace', url: 'http://compsoc.dur.ac.uk/whitespace/examples.php', files: files, encoding: 'iso-8859-1')
	whitespace.add_release(version: '0.3', path: '/usr/src/VoidMeter/whitespace/wspace-0.3', url: 'http://compsoc.dur.ac.uk/whitespace/downloads/wspace-0.3.tgz')
	whitespace.add_release(version: '0.2', path: '/usr/src/VoidMeter/whitespace/wspace-0.2', url: 'http://compsoc.dur.ac.uk/whitespace/wspace.tgz')
	whitespace
end

def wicket
	files = VoidMeter::Files.new
	files.add_file(extension: '.java', block_comment: { open: '/*', close: '*/' })

	wicket = VoidMeter::Project.new(name: 'Wicket', url: 'http://wicket.apache.org/', files: files, encoding: 'iso-8859-1')
	wicket.add_release(version: '1.4.16', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.4.16', url: 'http://archive.apache.org/dist/wicket/1.4.16/apache-wicket-1.4.16.tar.gz')
	wicket.add_release(version: '1.4.11', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.4.11', url: 'http://archive.apache.org/dist/wicket/1.4.11/apache-wicket-1.4.11.tar.gz')
	wicket.add_release(version: '1.4.5', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.4.5', url: 'http://archive.apache.org/dist/wicket/1.4.5/apache-wicket-1.4.5.tar.gz')
	wicket.add_release(version: '1.4.0', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.4.0', url: 'http://archive.apache.org/dist/wicket/1.4.0/apache-wicket-1.4.0.tar.gz')
	wicket.add_release(version: '1.3.7', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.3.7', url: 'http://archive.apache.org/dist/wicket/1.3.7/apache-wicket-1.3.7.tar.gz')
	wicket.add_release(version: '1.3.4', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.3.4', url: 'http://archive.apache.org/dist/wicket/1.3.4/apache-wicket-1.3.4.tar.gz')
	wicket.add_release(version: '1.3.0', path: '/usr/src/VoidMeter/wicket/apache-wicket-1.3.0', url: 'http://archive.apache.org/dist/wicket/1.3.0/apache-wicket-1.3.0.tar.gz')
	wicket
end

projects = VoidMeter::Projects.new
projects.add_project(ant)
projects.add_project(apache)
projects.add_project(django)
projects.add_project(gradle)
projects.add_project(grails)
projects.add_project(groovy)
projects.add_project(jetty)
projects.add_project(jruby)
projects.add_project(jython)
projects.add_project(linux)
projects.add_project(maven)
projects.add_project(mybatis)
projects.add_project(python)
projects.add_project(rails)
projects.add_project(ruby)
projects.add_project(sbcl)
projects.add_project(tomcat)
projects.add_project(whitespace)
projects.add_project(wicket)
projects.meter
projects.render
#projects.list

#results = VoidMeter::Results.new('VoidMeter.results')
#results.remove_project('Project')
#results.remove_result('Project', '1.0')
#results.save
